Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 1744)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/r/RPartitionDimensionsBarChartCreator.java	(revision 1745)
@@ -3,7 +3,6 @@
 import java.io.File;
 import java.util.List;
 
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
@@ -15,6 +14,7 @@
 
 /**
  * Creates a partition dimensions bar chart from the specified <code>PartitionDimensions</code> result.
+ * 
  * @author sjacquot
  *
  */
@@ -50,7 +50,7 @@
 			String ssizes = "c("; //$NON-NLS-1$
 
 			for(int i = 0; i < parts.size(); i++) {
-				ssizes += "" + parts.get(i).getSize(); //$NON-NLS-1$
+				ssizes += parts.get(i).getSize();
 				if(i != parts.size() - 1)
 					ssizes += ","; //$NON-NLS-1$
 			}
@@ -67,7 +67,7 @@
 			// FIXME: one color by part
 			//this.getChartsEngine().setColors(TXMPreferences.getInt(preferencesNode, result, ChartsEnginePreferences.RENDERING_COLORS_MODE),  parts.size());
 			
-			String cmd = String.format("barplot(%s, col=colors, names.arg=%s, horiz=F, las=2, ylab=\"%s\");\n", ssizes, snames, PartitionCoreMessages.numberOfWords); //$NON-NLS-1$
+			String cmd = String.format("barplot(%s, col=colors, names.arg=%s, horiz=F, las=2, ylab=\"%s\", xlab=\"%s\");\n", ssizes, snames, PartitionCoreMessages.numberOfWords, PartitionCoreMessages.part); //$NON-NLS-1$
 			
 			// plot the chart
 			this.getChartsEngine().plot(file, cmd, result, Utils.createPartitionDimensionsChartTitle(partitionDimensions), Utils.createPartitionDimensionsChartSubtitle(partitionDimensions, sortPartsBySize, displayPartsCountInTitle));
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java	(revision 1744)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java	(revision 1745)
@@ -4,19 +4,16 @@
 import org.txm.partition.core.messages.PartitionCoreMessages;
 
 /**
- * Creates a partition dimensions bar chart from the specified <code>Partition</code> result.
+ * Utility class for partition dimensions bar chart.
+ * 
  * @author sjacquot
  *
  */
 public abstract class Utils {
 
-	public Utils() {
-		// TODO Auto-generated constructor stub
-	}
 
-
 	/**
-	 * Creates a string title, shared by charts engine implementations, for the dimensions partition chart from the specified result.
+	 * Creates a string title, shared by charts engine implementations, for the partition dimensions chart from the specified result.
 	 * @param the partition result
 	 * @param sortPartsBySize the sort parts by size state
 	 * @param displayPartsCountInTitle display or not the parts count in chart title
@@ -26,24 +23,30 @@
 		return PartitionCoreMessages.bind(PartitionCoreMessages.dimensionsOfTheP0PartitionInTheP1Corpus, partitionDimensions.getParent().getSimpleName(), partitionDimensions.getCorpus().getSimpleName());
 	}
 
-	
+	/**
+	 * Creates a string subtitle, shared by charts engine implementations, for the partition dimensions chart from the specified result.
+	 * @param partitionDimensions the partition result
+	 * @param sortPartsBySize the sort parts by size state
+	 * @param displayPartsCountInTitle displayPartsCountInTitle display or not the parts count in chart title
+	 * @return the subtitle string
+	 */
 	public static String createPartitionDimensionsChartSubtitle(PartitionDimensions partitionDimensions, boolean sortPartsBySize, boolean displayPartsCountInTitle)	{
 		
-		String title = "";
+		String subtitle = ""; //$NON-NLS-1$
 		
 		if(displayPartsCountInTitle)	{
-			title += partitionDimensions.getPartsCount() + " " + PartitionCoreMessages.parts; //$NON-NLS-1$
+			subtitle += partitionDimensions.getPartsCount() + " " + PartitionCoreMessages.parts; //$NON-NLS-1$
 		}
 
 		if(displayPartsCountInTitle && sortPartsBySize) {
-			title += " ";
+			subtitle += " "; //$NON-NLS-1$
 		}
 		
 		if(sortPartsBySize) {
-			title += PartitionCoreMessages.sortedBySize;
+			subtitle += PartitionCoreMessages.sortedBySize;
 		}
 
-		return title;
+		return subtitle;
 		
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1744)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1745)
@@ -548,45 +548,27 @@
 			}
 
 			f.setAccessible(true);
-			this.getLastParametersFromHistory().remove(name);
+			try {
+				this.getLastParametersFromHistory().remove(name);
+			}
+			catch (Exception e) {
+				// nothing to do if the stack is empty
+			}
 		}
 
-		if(this.getLastParametersFromHistory().isEmpty())	{
-			this.parametersHistory.remove(this.parametersHistory.size() - 1);
+		
+		try {
+			if(this.getLastParametersFromHistory().isEmpty())	{
+				this.parametersHistory.remove(this.parametersHistory.size() - 1);
+			}
 		}
+		catch (Exception e) {
+			// nothing to do if the stack is empty
+		}
 	}
 
 
-//	/**
-//	 * Clears the parameters used for last computing.
-//	 * Dedicated to force a full recomputing.
-//	 * @throws Exception
-//	 */
-//	protected void clearLastParameters() {
-//		this.clearLastParameters(Parameter.COMPUTING);
-//	}
-
-
 	/**
-	 * Checks if a parameter value has changed since the n-2 computing.
-	 * This method permits to know, for example, if a parent that has already been computed was dirty before its computing,
-	 * then a child can adjust or not its computing, regarding to the parent state.
-	 * @param key
-	 * @param older
-	 * @return
-	 */
-	// FIXME: SJ: should become useless after ChartResult changes
-//	@Deprecated
-//	public boolean hasParameterChanged(String key, boolean older) {
-//		if(older)	{
-//			return this.hasParameterChanged(key, this.parametersHistory.get(this.parametersHistory.size() - 2));	
-//		}
-//		else	{
-//			return this.hasParameterChanged(key);
-//		}
-//	}
-
-	/**
 	 * Checks if a parameter value has changed since last computing.
 	 * @param key
 	 * @param parameterType
@@ -847,6 +829,11 @@
 	}
 
 
+	/**
+	 * Gets the list of parameters used during last computing or null if the result has not been computed yet.
+	 * 
+	 * @return
+	 */
 	public HashMap<String, Object> getLastParametersFromHistory()	{
 		try {
 			return this.parametersHistory.get(this.parametersHistory.size() - 1);
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1744)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 1745)
@@ -100,7 +100,11 @@
 			// FIXME: outer margin to not cut of title
 			//cmd += "par(oma = c(10,2,2,2));\n"; //$NON-NLS-1$
 
+			// font size
+			//cmd += "par(cex.main = 3.5);\n"; //$NON-NLS-1$
+			//cex.lab=1.5, cex.axis=1.5, cex.main=1.5, cex.sub=1.5
 			
+			
 			if(result != null)	{
 				// draw grid
 				if(result.isGridVisible())	{
